Upgradding to 3.2.4

Discussion in 'Installation/Configuration' started by vk3heg, May 14, 2021.

  1. vk3heg

    vk3heg Member

    HI Guys,
    Installed Version: 3.1.15p3
    Billing Module: REV-38
    Debian GNU/Linux 10 (buster)

    I've held back on upgrading due to issues reported. Now that they have settled down, and the bugs are fixed it's time to do it.
    My system is still using using Amavised, do I need to switch to Rspamd first?
    I know I've got some postfix/dovcot config files to edit, as mine have been modified.

    What else do I need to lookout for?

    Thanks,
    Stephen
     
  2. Jesse Norell

    Jesse Norell ISPConfig Developer Staff Member ISPConfig Developer

    No, amavis still works/ I would probably update first then switch to rspamd, but I can't think of a reason it wouldn't work in the other order, too.
    That is the main thing, any custom config. 3.2 can setup an ssl certificate for the server, but you don't have to use that feature if you have something else in place.
     
  3. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    There have been some important security patches as well, I hope you have done those, even though you did not upgrade?
    No, Amavis is still supported.
    Let the installer reconfigure all configuration files and let it rename your eventual conf-custom files as there have been major changes that have to be incorporated.
    You can now use a new method for custom changes to the Postfix and Dovecot config: https://www.howtoforge.com/communit...-for-custom-postfix-and-dovecot-config.86559/
     
    vk3heg likes this.
  4. vk3heg

    vk3heg Member

    Thanks Jess & Th0m, I was aware of having to compare my config files. Th0m: I had noted that post of yours the other day and that's a great feature to have, as normally it's only one or two lines that get changed.
    :)
     

Share This Page